<style scoped="">
.solution_title{
  font-size: 52px;
  line-height: 1;
  padding-top: 110px;
  padding-bottom: 32px;
  border-bottom: 1px solid #DBDBDB;
}
.des_pane{
  padding-top: 96px;
  padding-bottom: 110px;
}
.des_text_ct{
  background-image: url('../assets/images/解决方案-底图@2x.png');
  background-size: 600px 487px;
  background-repeat: no-repeat;
  background-position: right top;
  min-height: 477px;
  padding-right: 720px;
  position: relative;
}
.des_tag{
  font-size: 15px;
  line-height: 1;
}
.des_title{
  font-size: 30px;
  line-height: 37px;
  padding-top: 32px;
  padding-bottom: 26px;
}
.des_text{
  font-size: 14px;
  line-height: 25px;
  color: #5A5A5A;
}
.topic_image{
  background-image: url('../assets/images/解决方案（区块链医疗）配图@2x.png');
  background-size: cover;
  width: 550px;
  height: 327px;
  position: absolute;
  right: 110px;
  top: 80px;
}

@media (max-width: 800px) {
  .solution_title{
    font-size: 18px;
    padding: 20px;
  }
  .des_pane{
    padding: 20px;
  }
  .des_text_ct{
    padding: 0px;
    padding-bottom: 200px;
    background-position: bottom center;
  }
  .topic_image{
    top: auto;
    bottom: 0px;
  }
  .des_text{
    background: #fff;
    padding-bottom: 20px;
  }
}
</style>
<template>
  <div class="comm_width">
    <h2 class="solution_title">
      {{ title }}
    </h2>
    <div class="des_pane">
      <div class="des_text_ct">
        <div class="topic_image" :style="topic_style">
          <!-- <img src="解决方案（区块链医疗）配图@2x.png"> -->
        </div>
        <!-- <div class="des_tag">{{ tag }}</div> -->
        <h3 class="des_title">{{ subtitle }}</h3>
        <p class="des_text">
          {{ description }}
        </p>
      </div>
    </div>
  </div>
</template>
<script>
export default {
  data () {
    return {}
  },

  props: {
    title: {
      type: String,
      default () {
        return '区块链医疗'
      }
    },
    tag: {
      type: String,
      default () {
        return '方案简介'
      }
    },
    subtitle: {
      type: String,
      default () {
        return '基于区块链的商品溯源解决方案'
      }
    },
    description: {
      type: String,
      default () {
        return `
          以区块链隐私计算为核心技术，区别医疗数据所有权、
          使用权和执行权，以形式化创建、验证智能合约，实现
          数据可信交换共享、可视化医疗知识交换。在保护病人
          的隐私信息和医疗机构的数据安全，同时能够将高精尖
          的医疗资源辐射到全球地区。
        `
      }
    },
    src: {
      type: String,
      default () {
        return '解决方案（区块链医疗）配图@2x.png';
      }
    }
  },

  computed: {
    topic_style () {
      return {
        'backgroundImage': `url(${this.src})`
      }
    }
  },

  methods: {

  }
}
</script>